# CAS 741/CSE 741 Development of Scientific Computing Software

This course presents the basic principles of software development for reliable
scientific and engineering software. Using example applications, a systematic
process is given for the development and documentation of requirements, system
design, module design, implementation, testing and inspection.

--------------------------------------------------
### Summary of Folder Structure and File Contents
--------------------------------------------------

**Course Outline**
  - course outline
  
**Lectures**
  - lecture material
  - roughly organized following the typical "v-model" documentation (req, test, des)
  - review of SE for SC
  
**BlankProjectTemplate**
   - starting point for each project
   - separate template for single scientific application versus family of computing libraries
   - https://github.com/smiths/capTemplate

**ToolTutorials**
 - tutorials on doxygen, git and GitLab, make, unit testing and LaTeX
 
 **Examples**
  - examples of SC projects
  - additional examples available on-line (as pointed to in the lecture notes)
  
**Reference Material**
 - papers discussed during the term
 - all citations are in a BibTeX file called Reference.bib
 - Format of citation labels and filenames is the AuthorYear style (https://www.e-education.psu.edu/styleforstudents/c5_p11.html)
